Changed bnbt install location to /usr/sbin/bnbt
authorDavid Bartley <dtbartle@csclub.uwaterloo.ca>
Fri, 13 Jul 2007 05:19:49 +0000 (01:19 -0400)
committerDavid Bartley <dtbartle@csclub.uwaterloo.ca>
Fri, 13 Jul 2007 06:14:00 +0000 (02:14 -0400)
Updated debian/ files
Removed csc-specific ip from bnbt.cfg

14 files changed:
Makefile
bnbt-init-script [deleted file]
bnbt.cfg
debian/bnbt.dirs [new file with mode: 0644]
debian/bnbt.docs [new file with mode: 0644]
debian/bnbt.init [new file with mode: 0644]
debian/bnbt.postinst [new file with mode: 0644]
debian/bnbt.postrm [new file with mode: 0644]
debian/copyright
debian/dirs [deleted file]
debian/docs [deleted file]
debian/init.d [deleted file]
debian/postinst [deleted file]
debian/postrm [deleted file]

index d13aaf8..24d5589 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -97,6 +97,6 @@ tracker_announce.mysql.o: bnbt.h bnbt_mysql.h atom.h bencode.h link.h tracker.h
 tracker_scrape.mysql.o: bnbt.h bnbt_mysql.h atom.h bencode.h tracker.h util.h
 
 install: $(PROGS)
-       install -m 755 bnbt $(DESTDIR)/usr/bin
+       install -m 755 bnbt $(DESTDIR)/usr/sbin
 #      install -m 755 bnbtmysql $(DESTDIR)/bin
        install -m 644 bnbt.cfg $(DESTDIR)/etc/bnbt.cfg
diff --git a/bnbt-init-script b/bnbt-init-script
deleted file mode 100755 (executable)
index 2d5d0b7..0000000
+++ /dev/null
@@ -1,155 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          skeleton
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Example initscript
-# Description:       This file should be used to construct scripts to be
-#                    placed in /etc/init.d.
-### END INIT INFO
-
-# Author: Foo Bar <foobar@baz.org>
-#
-# Please remove the "Author" lines above and replace them
-# with your own name if you copy and modify this script.
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="bnbt BitTorrent Tracker"
-NAME=bnbt
-DAEMON=/usr/local/bin/$NAME
-DAEMON_ARGS=""
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-       # Return
-       #   0 if daemon has been started
-       #   1 if daemon was already running
-       #   2 if daemon could not be started
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-               || return 1
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-               $DAEMON_ARGS \
-               || return 2
-       # Add code here, if necessary, that waits for the process to be ready
-       # to handle requests from services started subsequently which depend
-       # on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       RETVAL="$?"
-       [ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       [ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       rm -f $PIDFILE
-       return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-       #
-       # If the daemon can reload its configuration without
-       # restarting (for example, when it is sent a SIGHUP),
-       # then implement that here.
-       #
-       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-       return 0
-}
-
-case "$1" in
-  start)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-       do_start
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  stop)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-       do_stop
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  #reload|force-reload)
-       #
-       # If do_reload() is not implemented then leave this commented out
-       # and leave 'force-reload' as an alias for 'restart'.
-       #
-       #log_daemon_msg "Reloading $DESC" "$NAME"
-       #do_reload
-       #log_end_msg $?
-       #;;
-  restart|force-reload)
-       #
-       # If the "reload" option is implemented then remove the
-       # 'force-reload' alias
-       #
-       log_daemon_msg "Restarting $DESC" "$NAME"
-       do_stop
-       case "$?" in
-         0|1)
-               do_start
-               case "$?" in
-                       0) log_end_msg 0 ;;
-                       1) log_end_msg 1 ;; # Old process is still running
-                       *) log_end_msg 1 ;; # Failed to start
-               esac
-               ;;
-         *)
-               # Failed to stop
-               log_end_msg 1
-               ;;
-       esac
-       ;;
-  *)
-       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-       echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-       exit 3
-       ;;
-esac
-
-:
index 5309a54..ca9d1fb 100644 (file)
--- a/bnbt.cfg
+++ b/bnbt.cfg
@@ -1,6 +1,6 @@
 allowed_dir = /var/lib/bnbt/torrents
 announce_interval = 1800
-bind = 129.97.134.12
+bind = 
 bnbt_access_log_dir = 
 bnbt_access_log_file_pattern = %Y-%m-%d.log
 bnbt_allow_comments = 0
diff --git a/debian/bnbt.dirs b/debian/bnbt.dirs
new file mode 100644 (file)
index 0000000..ed6335c
--- /dev/null
@@ -0,0 +1,5 @@
+etc/init.d
+usr/sbin
+var/lib/bnbt
+var/lib/bnbt/files
+var/lib/bnbt/torrents
diff --git a/debian/bnbt.docs b/debian/bnbt.docs
new file mode 100644 (file)
index 0000000..ea081ad
--- /dev/null
@@ -0,0 +1 @@
+lesser.txt
diff --git a/debian/bnbt.init b/debian/bnbt.init
new file mode 100644 (file)
index 0000000..788bc1c
--- /dev/null
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+test -x /usr/sbin/bnbt || exit 0
+
+start () {
+        echo -n "Starting BitTorrent Tracker: bnbt"
+        start-stop-daemon --start --quiet \
+            --pidfile /var/run/bnbt.pid --exec /usr/sbin/bnbt > /dev/null
+        echo "."
+}
+
+stop () {
+        echo -n "Stopping BitTorrent Tracker: bnbt"
+        start-stop-daemon --stop --quiet  \
+            --pidfile /var/run/bnbt.pid --name bnbt
+        echo "."
+}
+
+case "$1" in
+    start)
+        start
+    ;;
+
+    stop)
+        stop
+    ;;
+
+    restart)
+        stop
+        sleep 2
+        start
+    ;;
+    
+    *)
+        echo "Usage: /etc/init.d/bnbt {start|stop|restart}" >&2
+        exit 1
+    ;;
+esac
+
+exit 0
+
diff --git a/debian/bnbt.postinst b/debian/bnbt.postinst
new file mode 100644 (file)
index 0000000..8411d05
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+test "$1" = 'configure' || exit 0
+
+getent passwd bnbt > /dev/null || \
+  adduser --quiet --system --home / --no-create-home bnbt
diff --git a/debian/bnbt.postrm b/debian/bnbt.postrm
new file mode 100644 (file)
index 0000000..2c6df06
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+test "$1" = 'purge' || exit 0
+
+getent passwd bnbt > /dev/null || exit 0
+deluser --quiet --system bnbt
index e76f0fe..abe9372 100644 (file)
@@ -1,26 +1,30 @@
-This is bnbt, written and maintained by David Bartley <dtbartle@csclub.uwaterloo.ca>
+This is bnbt, maintained by David Bartley <dtbartle@csclub.uwaterloo.ca>
 on Mon, 25 Jun 2007 06:38:50 -0400.
 
 The original source can always be found at:
-       ftp://ftp.debian.org/dists/unstable/main/source/
+       http://svn.depthstrike.com:4559/viewsvn/viewvc_in.py/cbtt/
 
-Copyright Holder:  David Bartley
+Copyright:
+
+ Copyright (C) 2003-2004 Trevor Hogan
+
+ CBTT variations (C) 2003-2005 Harold Feit
 
 License:
 
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
+ This library is free software; you can redistribute it and/or
+  modify it under the terms of the GNU Lesser General Public
+  License as published by the Free Software Foundation; either
+  version 2.1 of the License, or (at your option) any later version.
 
-  This program is distributed in the hope that it will be useful,
+  This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+  Lesser General Public License for more details.
 
-  You should have received a copy of the GNU General Public License
-  along with this package; if not, write to the Free Software
-  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+  You should have received a copy of the GNU Lesser General Public
+  License along with this library; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
-On Debian systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
+On Debian systems, the complete text of the GNU Lesser General
+Public License can be found in `/usr/share/common-licenses/LGPL'.
diff --git a/debian/dirs b/debian/dirs
deleted file mode 100644 (file)
index d910ac3..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-etc/init.d
-usr/bin
-var/lib/bnbt
-var/lib/bnbt/files
-var/lib/bnbt/torrents
diff --git a/debian/docs b/debian/docs
deleted file mode 100644 (file)
index ea081ad..0000000
+++ /dev/null
@@ -1 +0,0 @@
-lesser.txt
diff --git a/debian/init.d b/debian/init.d
deleted file mode 100644 (file)
index d07f162..0000000
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-test -x /usr/bin/bnbt || exit 0
-
-start () {
-        echo -n "Starting BitTorrent Tracker: bnbt"
-        start-stop-daemon --start --quiet \
-            --pidfile /var/run/bnbt.pid --exec /usr/bin/bnbt > /dev/null
-        echo "."
-}
-
-stop () {
-        echo -n "Stopping BitTorrent Tracker: bnbt"
-        start-stop-daemon --stop --quiet  \
-            --pidfile /var/run/bnbt.pid --name bnbt
-        echo "."
-}
-
-case "$1" in
-    start)
-        start
-    ;;
-
-    stop)
-        stop
-    ;;
-
-    restart)
-        stop
-        sleep 2
-        start
-    ;;
-    
-    *)
-        echo "Usage: /etc/init.d/bnbt {start|stop|restart}" >&2
-        exit 1
-    ;;
-esac
-
-exit 0
-
diff --git a/debian/postinst b/debian/postinst
deleted file mode 100644 (file)
index 8411d05..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-set -e
-
-test "$1" = 'configure' || exit 0
-
-getent passwd bnbt > /dev/null || \
-  adduser --quiet --system --home / --no-create-home bnbt
diff --git a/debian/postrm b/debian/postrm
deleted file mode 100644 (file)
index f0413a6..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-set -e
-
-test "$1" = 'purge' || exit 0
-
-getent passwd bnbt >/dev/null || exit 0
-deluser --quiet --system bnbt